import {
  AppBar,
  Toolbar,
  IconButton,
  Typography,
  Drawer,
  List,
  ListItem,
  ListItemButton,
  ListItemIcon,
  ListItemText,
} from '@mui/material'
import { useState } from 'react'

import GamepadIcon from '@mui/icons-material/Gamepad'

export function MaAppBar(): JSX.Element {
  const [open, setOpen] = useState(false)

  return (
    <>
      <Drawer open={open} onClose={() => setOpen(false)} sx={{ width: '320px' }}>
        <List sx={{ width: '320px' }}>
          {['Inbox', 'Starred', 'Send email', 'Drafts'].map((text) => (
            <ListItem key={text} disablePadding>
              <ListItemButton>
                <ListItemIcon>
                  <GamepadIcon />
                </ListItemIcon>
                <ListItemText primary={text} />
              </ListItemButton>
            </ListItem>
          ))}
        </List>
      </Drawer>

      <AppBar position="sticky">
        <Toolbar>
          <IconButton
            size="large"
            edge="start"
            color="inherit"
            aria-label="menu"
            sx={{ mr: 2 }}
            onClick={() => setOpen(true)}
          >
            <GamepadIcon />
          </IconButton>
          <Typography variant="h6" component="div" sx={{ flexGrow: 1 }}>
            Matrix
          </Typography>
        </Toolbar>
      </AppBar>
    </>
  )
}
